Skip to main content
GET
/
providers
List all providers
curl --request GET \
  --url https://openrouter.ai/api/v1/providers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://openrouter.ai/api/v1/providers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://openrouter.ai/api/v1/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "datacenters": [
        "US",
        "IE"
      ],
      "headquarters": "US",
      "name": "OpenAI",
      "privacy_policy_url": "https://openai.com/privacy",
      "slug": "openai",
      "status_page_url": "https://status.openai.com",
      "terms_of_service_url": "https://openai.com/terms"
    }
  ]
}
{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Response

Returns a list of providers

data
object[]
required